Name:          kdeconnect
Version:       0.9.0.20160721git
Release:       1mamba
Summary:       Connect Android, Blackberry and other devices with KDE deskto
Group:         Graphical Desktop/Applications/Internet
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://community.kde.org/KDEConnect
## GITSOURCE https://github.com/albertvaka/kdeconnect-kde.git master
Source:        https://github.com/albertvaka/kdeconnect-kde.git/master/kdeconnect-kde-%{version}.tar.bz2
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libICE-devel
BuildRequires: libSM-devel
BuildRequires: libX11-devel
BuildRequires: libXext-devel
BuildRequires: libXtst-devel
BuildRequires: libfakekey-devel
BuildRequires: libgcc
BuildRequires: libkauth-devel
BuildRequires: libkbookmarks-devel
BuildRequires: libkcmutils-devel
BuildRequires: libkcodecs-devel
BuildRequires: libkcompletion-devel
BuildRequires: libkconfig-devel
BuildRequires: libkconfigwidgets-devel
BuildRequires: libkcoreaddons-devel
BuildRequires: libkdbusaddons-devel
BuildRequires: libki18n-devel
BuildRequires: libkiconthemes-devel
BuildRequires: libkio-devel
BuildRequires: libkitemviews-devel
BuildRequires: libkjobwidgets-devel
BuildRequires: libknotifications-devel
BuildRequires: libkservice-devel
BuildRequires: libkwayland-devel
BuildRequires: libkwidgetsaddons-devel
BuildRequires: libkxmlgui-devel
BuildRequires: libqca-qt5-devel
BuildRequires: libqt5-devel
BuildRequires: libsolid-devel
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
Requires:      plasma-workspace
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Connect Android, Blackberry and other devices with KDE desktop.

%debug_package

%prep
%setup -q -n kdeconnect-kde-%{version}

%build
%cmake_kde5 -d build \
   -Wno-dev

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_sysconfdir}/xdg/autostart/kdeconnectd.desktop
%{_bindir}/kdeconnect-cli
%{_libdir}/libkdeconnectcore.so.*
%{_libdir}/libkdeconnectinterfaces.so.*
%{_libdir}/libkdeconnectpluginkcm.so.*
%dir %{_libdir}/qt5/plugins/kdeconnect
%{_libdir}/qt5/plugins/kdeconnect/kdeconnect_*.so
%{_libdir}/qt5/plugins/kdeconnect*.so
%{_libdir}/qt5/plugins/kcm_kdeconnect.so
%{_libdir}/qt5/plugins/kio_kdeconnect.so
%dir %{_libdir}/qt5/qml/org/kde/kdeconnect
%{_libdir}/qt5/qml/org/kde/kdeconnect/*
%{_libexecdir}/kdeconnectd
%{_datadir}/applications/org.kde.kdeconnect.kcm.desktop
%{_datadir}/applications/org.kde.kdeconnect.nonplasma.desktop
%{_datadir}/dbus-1/services/org.kde.kdeconnect.service
%{_datadir}/doc/HTML/en/kdeconnect/index.cache.bz2
%{_datadir}/doc/HTML/en/kdeconnect/index.docbook
%{_datadir}/icons/hicolor/*/apps/kdeconnect.png
%{_datadir}/icons/hicolor/32x32/status/*png
%{_datadir}/icons/hicolor/scalable/apps/kdeconnect.svgz
%{_datadir}/icons/hicolor/scalable/status/*.svg
%{_datadir}/knotifications5/kdeconnect.notifyrc
%{_datadir}/kservices5/kcm_kdeconnect.desktop
%{_datadir}/kservices5/kdeconnect.protocol
%{_datadir}/kservices5/kdeconnect*.desktop
%{_datadir}/kservices5/plasma-kdeconnect.desktop
%{_kde5_servicetypesdir}/kdeconnect_plugin.desktop
%{_datadir}/plasma/plasmoids/org.kde.kdeconnect/contents/ui/*
%{_datadir}/plasma/plasmoids/org.kde.kdeconnect/metadata.desktop
%doc README.md
%doc COPYING

%changelog
* Thu Jul 21 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.0.20160721git-1mamba
- package created using the webbuild interface
